Skip to main content
GET
/
devices
List devices
curl --request GET \
  --url https://dashboard.hologram.io/api/1/devices \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "limit": 123,
  "size": 123,
  "continues": true,
  "lastid": 123,
  "links": {
    "path": "<string>",
    "base": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "orgid": 123,
      "type": "<string>",
      "whencreated": "<string>",
      "tags": [
        "<string>"
      ],
      "links": {
        "cellular": [
          {
            "id": 123,
            "deviceid": 123,
            "orgid": 123,
            "sim": "<string>",
            "msisdn": "<string>",
            "imsi": 123,
            "state": "<string>",
            "apn": "<string>",
            "zone": 123,
            "overagelimit": 123,
            "carrier": 123,
            "whencreated": "<string>",
            "whenexpires": "<string>",
            "async_change_requests": [
              {
                "id": 123,
                "parent_id": 123,
                "orgid": 123,
                "userid": 123,
                "reference_id": 123,
                "start_time": "<string>",
                "update_time": "<string>",
                "metadata": {}
              }
            ]
          }
        ]
      },
      "imei": "<string>",
      "imei_sv": "<string>",
      "phonenumber": "<string>",
      "phonenumber_cost": "<string>",
      "simcardid": 123,
      "euicc_tested": "<string>",
      "is_hyper": true,
      "model": "<string>",
      "manufacturer": "<string>",
      "preflight_starttime": "<string>",
      "preflight_scheduled_endtime": "<string>",
      "async_change_requests": [
        {
          "id": 123,
          "parent_id": 123,
          "orgid": 123,
          "userid": 123,
          "reference_id": 123,
          "start_time": "<string>",
          "update_time": "<string>",
          "metadata": {}
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

orgid
integer

Filter results to this organization ID

limit
integer

Maximum number of results to return (max 5000)

Required range: x <= 5000
Example:

50

startafter
integer

Return results after the record with this ID (cursor-based pagination)

slim
boolean

When set to 1, return a compact response with fewer fields

withlocation
boolean

When true, include last known location data in each device record (default: true)

states
string

Comma-separated list of device states to filter by (e.g. LIVE,PAUSED-USER,CONNECTED)

ids
string

Comma-separated list of device IDs to filter by

tagid
integer

Filter results to devices with this tag ID

tagids
string

Comma-separated list of tag IDs to filter by

tagname
string

Filter results to devices with this tag name

name
string

Filter results to devices matching this exact name

imei
string

Filter results to devices with this IMEI

linkid
integer

Filter results to devices with this cellular link ID

linkids
string

Comma-separated list of cellular link IDs to filter by

planid
integer

Filter results to devices subscribed to this data plan ID

sim
string

Filter results to devices with this SIM identifier

sims
string

Comma-separated list of SIM identifiers to filter by

imsi
string

Filter results to devices with this IMSI on their cellular link

msisdn
string

Filter results to devices with this MSISDN on their cellular link

simcardid
integer

Filter results to devices with this SIM card ID

showHidden
integer

When true, include hidden devices in results

phone
string

Filter results to devices with this phone number

tunnelable
integer

Filter results to devices with this tunnelable flag value

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

limit
integer
size
integer
continues
boolean
lastid
integer

ID of the last record returned, for cursor-based pagination

data
object[]